COLLECTD-TG(1)

NAME
collectd-tg - Traffic generator for collectd.

SYNOPSIS
collectd-tg -n num_vl -H num_hosts -p num_plugins -i interval -d dest -D dport

DESCRIPTION
collectd-tg generates bogus collectd network traffic. While host, plugin and values are generated randomly, the generated traffic tries to mimic "real" traffic as closely as possible.

ARGUMENTS AND OPTIONS
The following options are understood by collectd-tg. The order of the arguments generally doesn't matter, as long as no argument is passed more than once.

-n num_vl
    Sets the number of unique value lists (VL) to generate. Defaults to 10000.

-H num_hosts
    Sets the number of unique hosts to simulate. Defaults to 1000.

-p num_plugins
    Sets the number of unique plugins to simulate. Defaults to 20.

-i interval
    Sets the interval in which each value list is dispatched. Defaults to 10.0 seconds.

-d dest
    Sets the destination to which to send the generated network traffic. Defaults to the IPv6 multicast address, "ff18::efc0:4a42".

-D dport
    Sets the destination port or service to which to send the generated network traffic. Defaults to collectd's default port, 25826.

-h  Print usage summary.

SEE ALSO
collectd(1), collectd.conf(5)

AUTHOR
Florian Forster <octo at collectd.org>